import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getReaders() {
    return queryOptions({
        queryKey: ["getReaders"],
        queryFn: () => fetchReaders(),
        //enabled:
        staleTime: 1000,
        refetchInterval: 60 * 1000,
        refetchOnWindowFocus: true,
    });
}

const fetchReaders = async () => {
    const { data } = await axios.get(`/api/rfid/getreaders`);
    // if we are not localhost ignore the devDir setting.
    //const url: string = window.location.host.split(":")[0];
    return data.data ?? [];
};
